## ximagesrc ximagesrc |

## Properties

gchar * | display-name | Read / Write
gboolean | show-pointer | Read / Write
guint | endx | Read / Write
guint | endy | Read / Write
guint | startx | Read / Write
guint | starty | Read / Write
gboolean | use-damage | Read / Write
gboolean | remote | Read / Write
guint64 | xid | Read / Write
gchar * | xname | Read / Write

## Types and Values

struct | GstXImageSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstXImageSrc

## Description

This element captures your X Display and creates raw RGB video. It uses the XDamage extension if available to only capture areas of the screen that have changed since the last frame. It uses the XFixes extension if available to also capture your mouse pointer. By default it will fixate to 25 frames per second.

### Example pipelines

    1
    gst-launch-1.0 ximagesrc ! video/x-raw,framerate=5/1 ! videoconvert ! theoraenc ! oggmux ! filesink location=desktop.ogg

Encodes your X display to an Ogg theora video at 5 frames per second.

## Synopsis

### Element Information

plugin | ximagesrc
author | Lutz Mueller <lutz@users.sourceforge.net>, Jan Schmidt <thaytan@mad.scientist.com>, Zaheer Merali <zaheerabbas at merali dot org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], pixel-aspect-ratio=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstXImageSrc

    struct GstXImageSrc;

## Property Details

### The `“display-name”` property

      “display-name”             gchar *

X Display Name.

Flags: Read / Write

Default value: NULL

### The `“show-pointer”` property

      “show-pointer”             gboolean

Show mouse pointer (if XFixes extension enabled).

Flags: Read / Write

Default value: TRUE

### The `“endx”` property

      “endx”                     guint

X coordinate of bottom right corner of area to be recorded (0 for bottom right of screen)

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

### The `“endy”` property

      “endy”                     guint

Y coordinate of bottom right corner of area to be recorded (0 for bottom right of screen)

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

### The `“startx”` property

      “startx”                   guint

X coordinate of top left corner of area to be recorded (0 for top left of screen)

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

### The `“starty”` property

      “starty”                   guint

Y coordinate of top left corner of area to be recorded (0 for top left of screen)

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

### The `“use-damage”` property

      “use-damage”               gboolean

Use XDamage (if the XDamage extension is enabled)

Flags: Read / Write

Default value: TRUE

### The `“remote”` property

      “remote”                   gboolean

Whether the X display is remote. The element will try to use alternate calls known to work better with remote displays.

Flags: Read / Write

Default value: FALSE

### The `“xid”` property

      “xid”                      guint64

The XID of the window to capture. 0 for the root window (default).

Flags: Read / Write

Default value: 0

### The `“xname”` property

      “xname”                    gchar *

The name of the window to capture, if any.

Flags: Read / Write

Default value: NULL